import { FeatureButton } from "../const/index";
export interface IUIDesign {
    updateViewBackgroundUserId: (viewType: 'local' | 'remote') => void;
    hideFeatureButton: (buttonName: FeatureButton) => void;
    setLocalViewBackgroundImage: (url: string) => void;
    setRemoteViewBackgroundImage: (userId: string, url: string) => void;
}
export declare class UIDesign implements IUIDesign {
    static instance: IUIDesign;
    static getInstance(): IUIDesign;
    private _viewConfig;
    private _isSetViewBackgroundConfig;
    private _updateViewBackground;
    updateViewBackgroundUserId(name: any): void;
    hideFeatureButton(buttonName: FeatureButton): void;
    setLocalViewBackgroundImage(url: string): void;
    setRemoteViewBackgroundImage(userId: string, url: string): void;
}
